"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromValue = exports.fromFactory = exports.fromConstructor = void 0;
function fromConstructor(constructor) {
    return function createFromConstructor(...args) {
        return new constructor(...args);
    };
}
exports.fromConstructor = fromConstructor;
function fromFactory(factory) {
    return factory;
}
exports.fromFactory = fromFactory;
function fromValue(value) {
    return function createServiceFromValue() {
        return value;
    };
}
exports.fromValue = fromValue;
